Update feature
curl --request PUT \
--url https://us.api.flexprice.io/v1/features/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"alert_settings": {
"alert_enabled": true,
"critical": {
"threshold": "<string>"
},
"info": {
"threshold": "<string>"
},
"warning": {
"threshold": "<string>"
}
},
"description": "<string>",
"filters": [
{
"key": "<string>",
"values": [
"<string>"
]
}
],
"group_id": "<string>",
"metadata": {},
"name": "<string>",
"reporting_unit": {
"conversion_rate": 123,
"unit_plural": "<string>",
"unit_singular": "<string>"
},
"unit_plural": "<string>",
"unit_singular": "<string>"
}
'import requests
url = "https://us.api.flexprice.io/v1/features/{id}"
payload = {
"alert_settings": {
"alert_enabled": True,
"critical": { "threshold": "<string>" },
"info": { "threshold": "<string>" },
"warning": { "threshold": "<string>" }
},
"description": "<string>",
"filters": [
{
"key": "<string>",
"values": ["<string>"]
}
],
"group_id": "<string>",
"metadata": {},
"name": "<string>",
"reporting_unit": {
"conversion_rate": 123,
"unit_plural": "<string>",
"unit_singular": "<string>"
},
"unit_plural": "<string>",
"unit_singular": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
alert_settings: {
alert_enabled: true,
critical: {threshold: '<string>'},
info: {threshold: '<string>'},
warning: {threshold: '<string>'}
},
description: '<string>',
filters: [{key: '<string>', values: ['<string>']}],
group_id: '<string>',
metadata: {},
name: '<string>',
reporting_unit: {conversion_rate: 123, unit_plural: '<string>', unit_singular: '<string>'},
unit_plural: '<string>',
unit_singular: '<string>'
})
};
fetch('https://us.api.flexprice.io/v1/features/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"alert_settings": {
"alert_enabled": true,
"critical": {
"threshold": "<string>"
},
"info": {
"threshold": "<string>"
},
"warning": {
"threshold": "<string>"
}
},
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"environment_id": "<string>",
"group": {
"created_at": "2023-11-07T05:31:56Z",
"entity_ids": [
"<string>"
],
"entity_type": "<string>",
"id": "<string>",
"lookup_key": "<string>",
"metadata": {},
"name": "<string>",
"status": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
},
"group_id": "<string>",
"id": "<string>",
"lookup_key": "<string>",
"metadata": {},
"meter": {
"aggregation": {
"expression": "<string>",
"field": "<string>",
"group_by": "<string>",
"multiplier": "<string>"
},
"created_at": "2024-03-20T15:04:05Z",
"event_name": "api_request",
"filters": [
{
"key": "<string>",
"values": [
"<string>"
]
}
],
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "API Usage Meter",
"status": "published",
"tenant_id": "tenant123",
"updated_at": "2024-03-20T15:04:05Z"
},
"meter_id": "<string>",
"name": "<string>",
"reporting_unit": {
"conversion_rate": 123,
"unit_plural": "<string>",
"unit_singular": "<string>"
},
"tenant_id": "<string>",
"unit_plural": "<string>",
"unit_singular": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "<string>"
}{
"http_status_code": 123,
"message": "<string>"
}{
"http_status_code": 123,
"message": "<string>"
}{
"http_status_code": 123,
"message": "<string>"
}Features
Update feature
Use when changing feature definition (e.g. name, type, or meter). Request body contains the fields to update.
PUT
/
features
/
{id}
Update feature
Authorizations
Enter your API key in the format x-api-key <api-key>*
Path Parameters
Feature ID
Body
application/json
Feature update data
Show child attributes
Show child attributes
Show child attributes
Show child attributes
GroupID is the id of the group to assign the feature to. Pass empty string to clear.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
published, deleted, archived Available options:
metered, boolean, static, config ⌘I

